X
    Categories: Hosting News

ImageMagick Vulnerability Fixed

ImageMagick is one of the most widely used services to process images. Most of the web applications use it for many different purposes - to crop images, to resize them, to generate different thumbnail sizes, etc. Unfortunately, a serious vulnerability was discovered within the service, that allows an attacker to execute code remotely on your site. As usual our security team started working on a way to protect our customers immediately and came up with a solution hours after the vulnerability was disclosed.

We applied a change in the ImageMagick policies across all our servers that blocks the exploit. Basically, this means that even though the security issue is not patched yet, there's a policy that would prevent an attacker from using it. You can think of it as a firewall blocking hacking attempts, that try to utilize this vulnerability. However, to fully patch this vulnerability an update of the ImageMagick service is necessary. The project developers are already working on a new version, and code that fixes the issue has been committed. Once we finish our building and testing procedure, the new version of ImageMagick will be deployed across our entire infrastructure, completely patching all our servers.

As of this moment, all our servers are protected against this vulnerability. In addition to that, we don't have any reports for hacked customers and hopefully there won't be any at all thanks to the rapid reaction of our security team.

Hristo Pandjarov: Enthusiastic about all Open Source applications you can think of, but mostly about WordPress. Add a pinch of love for web design, new technologies, search engine optimisation and you are pretty much there!

View Comments